Subject: Re: bug#50983: 28.0.50; [REGRESSION, BUG] Display bugs with uncommon characters

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Oct 2021 12:01:36 +0300

> From: Rudi C <[email-masked]>
> Date: Sun, 3 Oct 2021 10:17:21 +0330
> Cc: [email-masked]
> 
> > The site which you use to post the files is problematic: its
> certificate is expired or invalid.
> 
> I use caddy to automatically manage its certificates, and I don't get any cert errors myself. Can you be more
> specific? Perhaps you need newer versions of wget? 

No, I don't think so.  Anyway, this is a tangent; if you think
everything is okay with the site, I can fetch files regardless.

> https://www.ssllabs.com/ssltest/analyze.html?d=files.lilf.ir also says everything is okay.
> 
> > This could be specific to macOS
> 
> I tested `bug.txt` via SSH on an Ubuntu server with emacs 27.2, and it was no different:
> https://files.lilf.ir/tmp/tmp.mZxt5Pilap.png

How exactly did you do that? where was Emacs running and where was the
display running?  Was that with or without X forwarding?

Also, this is the second file; what about the first one?  Do you see
on Ubuntu problems with deleting characters in it, and if so, which
characters and what problems this causes?

> Testing it with other terminal apps, none of the bugs occur with `terminal.app`. 
> 
> The RTL is all wrong on `terminal.app` though (https://files.lilf.ir/tmp/tmp.1UjK8TYGoG.png)
> , but I guess it's unrelated. Alacritty doesn't show the bug, and it also doesn't mess up the RTL shaping.
> 

To display RTL text on a terminal, you need to turn off bidirectional
features of the terminal, if it has them, because Emacs performs the
bidirectional processing by itself.

> If you think the issue is to be upstreamed to Kitty, can you open an issue on their Github?
> (https://github.com/kovidgoyal/kitty/issues) 

Sorry, I wouldn't know what to write there, and cannot present any
data as I don't have Kitty installed.  I think it's better that you do
it.